Log (Template)
3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getLogSettingForSiteTemplate | GET | Get site template log notification |
| modifyLogSettingSiteTemplate | PATCH | Modify site template log notification |
| resetLogSettingSiteTemplate | POST | Reset site template log notification |
getLogSettingForSiteTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/log-notification
Get site template log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getLogSettingForSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template log notification.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyLogSettingSiteTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/log-notification
Modify site template log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
logNotifications | array<LogNotificationEditOpenApiVO> | yes | Log Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template log notification.
The interface requires one of the permissions:
Global Site Template Manager Modify
resetLogSettingSiteTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/reset/log-notification
Reset site template log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "resetLogSettingSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Reset site template log notification.
The interface requires one of the permissions:
Global Site Template Manager Modify